Meetings

List meetings

Returns a page of meetings for the authenticated user, optionally filtered by attendees, tags, ownership, and status.

GET
/meetings

Query Parameters

ownership?string

Whether to return only meetings the user owns or all meetings the user can access.

Default"Mine"

Value in

  • "All"
  • "Mine"
  • "Shared"
statuses?array<string>

Meeting statuses to filter by.

folderId?string

Folder ID to filter by. Set ownership to All to include meetings other people filed into the folder.

cursor?string

Cursor for the next page. Omit for the first page (RFC 8288).

tagIds?array<>

Tag IDs to filter by.

attendeeProfileIds?array<>

Profile IDs of attendees to filter by.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/meetings"
[  {    "id": "WRweb12iCBimU6Vo8cD7z",    "name": "Event Venue Review",    "createdAt": "2023-07-25T20:30:57.926Z",    "updatedAt": "2023-07-25T20:30:57.926Z",    "duration": 1306.09,    "url": "https://meet.google.com/abc-defgh-xyz",    "recordingUrl": "https://storage.googleapis.com/circleback-recordings/WRweb12iCBimU6Vo8cD7z.mp4",    "tags": [      {        "id": 1,        "name": "Events",        "description": "Company events and offsites."      }    ],    "icalUid": "event-venue-review@google.com",    "attendees": [      {        "profileId": 1,        "name": "John Appleseed",        "title": "Head of Operations",        "companyName": "Initech",        "email": "john@initech.com",        "isCalendarEventOrganizer": true,        "isCalendarInvitee": true      },      {        "profileId": 2,        "name": "Samantha Grey",        "title": "Office Manager",        "companyName": "Initech",        "email": "samantha@initech.com",        "isCalendarEventOrganizer": false,        "isCalendarInvitee": true      }    ],    "notes": "#### Overview\n* Several options for event venues were reviewed…",    "privateNotes": "Ask Samantha about the Sunriver deposit before Friday.",    "actionItems": [      {        "id": 252,        "title": "Contact event venues",        "description": "Reach out to Sunriver Events and other potential event venues to see if they would be open to hosting the event this summer.",        "assignee": {          "profileId": 1,          "name": "John Appleseed",          "title": "Head of Operations",          "companyName": "Initech",          "email": "john@initech.com"        },        "status": "PENDING"      },      {        "id": 253,        "title": "Review and finalize venue options",        "description": "Review pricing and availability of venues and pick a venue for the event.",        "assignee": null,        "status": "PENDING"      }    ],    "insights": {      "Customer details": [        {          "speaker": "John Appleseed",          "timestamp": 800,          "insight": {            "Company name": "Initech",            "Number of employees": 120          }        }      ],      "Questions": [        {          "insight": "Is this thing on?",          "speaker": "Samantha Grey",          "timestamp": 49.15        },        {          "insight": "When will the webhook integration be ready?",          "speaker": "John Appleseed",          "timestamp": 120.12        }      ]    },    "linkAccess": "Viewer",    "calendarEvent": {      "id": 91,      "icalUid": "event-venue-review@google.com",      "description": "Quarterly venue review",      "platform": "GoogleCalendar",      "platformId": "provider-event-id"    },    "sharedWith": [      {        "profileId": 1,        "name": "John Appleseed",        "access": "Owner",        "email": "john@initech.com"      },      {        "name": "Operations",        "access": "Viewer",        "teamId": 12      }    ]  }]
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "failedEmails": [    {      "email": "string",      "error": "string",      "reason": "InvalidEmail"    }  ],  "issues": [    {      "message": "string",      "path": "string"    }  ],  "paymentAuthentication": {    "clientSecret": "string",    "invoiceId": "string"  }}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "failedEmails": [    {      "email": "string",      "error": "string",      "reason": "InvalidEmail"    }  ],  "issues": [    {      "message": "string",      "path": "string"    }  ],  "paymentAuthentication": {    "clientSecret": "string",    "invoiceId": "string"  }}